function returnDate = getDateFromSecsince1993(nsecs)

% computes date from number of seconds since Jan. 1, 1993 0 UTC
% Kevin Baggett
% Wed Jul 31 22:10:03 UTC 2002

secsPerDay=24*60*60;
numberOfDays=nsecs/secsPerDay;
datenum01Jan1993=datenum(1993,1,1,0,0,0);
currentDateNum=datenum01Jan1993 + numberOfDays;
dateVal=datestr(currentDateNum,0);

returnDate=sprintf('%s UTC',dateVal);

% Main equation:
% nss1993 = nds1993*spd + nss0ut
% #seconds since 1993 = (# days since 1993)*(seconds per day) + 
%   (# seconds since 0 UTC)
